com.sun.java.xml.ns.javaee

## Class MultipartConfigType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.MultipartConfigType

-     public class MultipartConfigType
      extends Object

  This element specifies configuration information related to the handling of multipart/form-data requests.

  Java-Klasse für multipart-configType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="multipart-configType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="location" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="max-file-size" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
               <element name="max-request-size" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
               <element name="file-size-threshold" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BigInteger` | `fileSizeThreshold`
    `protected String` | `location`
    `protected Long` | `maxFileSize`
    `protected Long` | `maxRequestSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartConfigType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getFileSizeThreshold()` Ruft den Wert der fileSizeThreshold-Eigenschaft ab.
    `String` | `getLocation()` Ruft den Wert der location-Eigenschaft ab.
    `Long` | `getMaxFileSize()` Ruft den Wert der maxFileSize-Eigenschaft ab.
    `Long` | `getMaxRequestSize()` Ruft den Wert der maxRequestSize-Eigenschaft ab.
    `void` | `setFileSizeThreshold(BigInteger value)` Legt den Wert der fileSizeThreshold-Eigenschaft fest.
    `void` | `setLocation(String value)` Legt den Wert der location-Eigenschaft fest.
    `void` | `setMaxFileSize(Long value)` Legt den Wert der maxFileSize-Eigenschaft fest.
    `void` | `setMaxRequestSize(Long value)` Legt den Wert der maxRequestSize-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### location

          protected String location

    - #### maxFileSize

          protected Long maxFileSize

    - #### maxRequestSize

          protected Long maxRequestSize

    - #### fileSizeThreshold

          protected BigInteger fileSizeThreshold

  - ### Constructor Detail

    - #### MultipartConfigType

          public MultipartConfigType()

  - ### Method Detail

    - #### getLocation

          public String getLocation()

      Ruft den Wert der location-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setLocation

          public void setLocation(String value)

      Legt den Wert der location-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaxFileSize

          public Long getMaxFileSize()

      Ruft den Wert der maxFileSize-Eigenschaft ab.
      Returns:
        possible object is `Long`

    - #### setMaxFileSize

          public void setMaxFileSize(Long value)

      Legt den Wert der maxFileSize-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `Long`

    - #### getMaxRequestSize

          public Long getMaxRequestSize()

      Ruft den Wert der maxRequestSize-Eigenschaft ab.
      Returns:
        possible object is `Long`

    - #### setMaxRequestSize

          public void setMaxRequestSize(Long value)

      Legt den Wert der maxRequestSize-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `Long`

    - #### getFileSizeThreshold

          public BigInteger getFileSizeThreshold()

      Ruft den Wert der fileSizeThreshold-Eigenschaft ab.
      Returns:
        possible object is `BigInteger`

    - #### setFileSizeThreshold

          public void setFileSizeThreshold(BigInteger value)

      Legt den Wert der fileSizeThreshold-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `BigInteger`

Copyright © 2015 buschmais GbR. All rights reserved.